/****************************************************************************
**
** Copyright (C) 2011 Digia Plc
** All rights reserved.
** For any questions to Digia, please use contact form at http://qt.digia.com
**
** This file is part of the QtGui module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE$
** Licensees holding valid Qt Commercial licenses may use this file in
** accordance with the Qt Commercial License Agreement provided with the 
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Digia.  
**
** If you have questions regarding the use of this file, please use
** contact form at http://qt.digia.com
** $QT_END_LICENSE$
** 
** Copyright (c) 2011 Nokia Corporation and/or its subsidiary(-ies).
**
****************************************************************************/

#ifndef QSCREENQNX_QWS_H
#define QSCREENQNX_QWS_H

#include <QtGui/qscreen_qws.h>

#ifndef QT_NO_QWS_QNX

QT_BEGIN_HEADER

QT_BEGIN_NAMESPACE

QT_MODULE(Gui)

struct QQnxScreenContext;

class QQnxScreen : public QScreen
{
public:
    explicit QQnxScreen(int display_id);
    ~QQnxScreen();

    bool initDevice();
    bool connect(const QString &displaySpec);
    void disconnect();
    void shutdownDevice();
    void setMode(int,int,int);
    bool supportsDepth(int) const;

    void exposeRegion(QRegion r, int changing);

private:
    QQnxScreenContext * const d;
};

QT_END_NAMESPACE

QT_END_HEADER

#endif // QT_NO_QWS_QNX

#endif
